local pb = require ('push-blocks')
function love.load()
require ("objects")
require ("players")
require ("drawlevel")
require ("levels")
--require ("keypressed")

local input =require ("inputs")

require ("help")


--local ddwidth, ddheight = love.window.getDesktopDimensions( display )
local ddwidth, ddheight = 665,795
	if ddheight > 1080 then
		print('ddheight: ' .. ddheight)
		love.window.setMode(1920, 1080, {resizable=true, borderless=false})
	else
		love.window.setMode(ddwidth, ddheight-200, {resizable=true, borderless=false})
	end
	width, height = love.graphics.getDimensions( )

    love.graphics.setBackgroundColor(0, 1, .75)

    fish1 = '@'
    fish1body= '1'
    fish2 = '0'
    fish2body= '2'
    chair1 = 'a'
    cushion = 'c'
    table = 'd'
    chair2 = 'b'
    steelbar = 'A'
    wall = '#'
    empty = ' '
    
    --box = '$'
    --boxOnStorage = '*'
    --storage = '.'
    
    --obj1 = ','
    --obj2='2'

	-- game states
	helpison="no"
	
	--levels states
	currentplayer= "1"
    currentLevel = 1
    
    cellwidth=20
    cellheight=20
    
    --player states
	
	--fish position 1
	f1x=19
	f1y=16
	fish1direction="left"

	--fish position 2
	f2x=7
	f2y=16
	fish2direction="right"

    loadLevel()
    loadobjects(chair1obj,tableobj,chair2obj,cushionobj,steelbarobj)
    loadplayers(fish1obj,fish2obj,fish1objright,fish2objright)
    
    --debug game states
    coloredcells="yes"
    charactercells="yes"
    objectscells="yes"
    background="yes"
    playerscells="yes"
    adjacentcells="no"
    
end

function love.update(dt)
if dt > 0.05 then dt = 0.05 end
	pb:update (dt)
--love.keypressed(dt)
end


function love.draw(dt)
draw_level()
	pb:drawBackgroundGrid ()
	pb:drawBlocks ()
	
	pb:drawAgent ()

if objectscells=="yes" then
draw_chair1()
draw_table()
draw_chair2()
draw_cushion()
draw_steelbar()
end

if playerscells=="yes" then
if fish1direction=="left" then draw_fish1() elseif fish1direction=="right" then draw_fish1right() end
if fish2direction=="right" then draw_fish2() elseif fish2direction=="left" then draw_fish2right() end
end
    
if helpison=="yes" then 
love.graphics.setColor(0.5,0.5,0.5,0.8)
love.graphics.rectangle('fill',90,310,350,350)
love.graphics.setColor(1,1,1)
love.graphics.setFont(love.graphics.newFont(20))
love.graphics.print(help,100,320,0,left, 0.8, 1)                 
end



end
